Bug 480608 - Starting udev: /sbin/start_udev: line 131: /sbin/restorecon: No such file or directory
Starting udev: /sbin/start_udev: line 131: /sbin/restorecon: No such file or ...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: udev (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Harald Hoyer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-19 08:19 EST by Adam Tkac
Modified: 2013-04-30 19:42 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-05 02:43:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Adam Tkac 2009-01-19 08:19:49 EST
Description of problem:
There is error message "/sbin/start_udev: line 131: /sbin/restorecon: No such file or directory" written during boot on non-SELinux system.

Version-Release number of selected component (if applicable):
$ rpm -q udev
udev-135-3.fc11.x86_64

How reproducible:
always

Steps to Reproduce:
1. remove SELinux content from system (especially policycoreutils package which contains restorecon utility)
2. reboot system
  
Actual results:
error message

Expected results:
successful start without error message

Additional info:
Patch is pretty simple - call restorecon conditionally if it is present ([ -x /sbin/restorecon ] && /sbin/restorecon <files>)
Comment 1 Adam Tkac 2009-02-05 02:43:17 EST
Fixed in the latest rawhide builds

Note You need to log in before you can comment on or make changes to this bug.